/v1/templates/{templateId}/instances (POST)
POST
/v1/templates/{templateId}/instances
const url = 'https://service.v2.nairon.xyz/v1/templates/example/instances';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"organizationId":"example","name":"example","fieldValues":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://service.v2.nairon.xyz/v1/templates/example/instances \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "organizationId": "example", "name": "example", "fieldValues": { "additionalProperty": "example" } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”templateId
required
string format: cuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
organizationId
required
string format: cuid
name
required
string
fieldValues
required
object
key
additional properties
string
Examplegenerated
{ "organizationId": "example", "name": "example", "fieldValues": { "additionalProperty": "example" }}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
instanceId
required
string format: cuid
projectId
required
string format: cuid
Examplegenerated
{ "instanceId": "example", "projectId": "example"}